## cargo-mozilla 0.47.0

=== debian/changelog ===
cargo-mozilla (0.47.0-3~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Backport to buster.
  * Vendor libgit2 1.0.1, the system one is too old.
  * Build-dep on rustc-mozilla.
  * Build-dep on libpcre3-dev, for libgit2.
  * Fix tests that now have execution time in the output.
  * Rename to cargo-mozilla to avoid disruption in the rustc/cargo ecosystem,
    and don't build the doc package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Dec 2021 13:46:50 +0100

cargo (0.47.0-3) unstable; urgency=medium

  * Disable close_output test for now, it is flaky. This is a test problem not
    a cargo problem and will be re-enabled in 0.49.0.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Dec 2020 01:43:58 +0000

cargo (0.47.0-2) unstable; urgency=medium

  * Backport a patch to fix a test on i386.
  * Add +xgot to work around mips64el limitations.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Dec 2020 00:29:08 +0000

cargo (0.47.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #976434)

 -- Ximin Luo <infinity0@debian.org>  Sun, 06 Dec 2020 12:39:49 +0000

cargo (0.47.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Oct 2020 02:04:10 +0100

cargo (0.43.1-4) unstable; urgency=medium

  * Team upload.
  * Fix build by applying two upstream patches. (Closes: #975857)

 -- Jan Niehusmann <jan@debian.org>  Sat, 28 Nov 2020 11:07:20 +0100

cargo (0.43.1-3) unstable; urgency=medium

  * Reupload, actually include the fix described in the previous entry.

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 14:30:01 +0100

cargo (0.43.1-2) unstable; urgency=medium

  * cargo-debian-wrapper: don't install /usr/.crates2.json. (Closes: #958301)

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 13:30:57 +0100

cargo (0.43.1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Apr 2020 19:54:01 +0100

cargo (0.40.0-3) unstable; urgency=medium

  * debian cargo wrapper: drop DEB_CARGO_PACKAGE in favour of the more
    standardised DESTDIR.
  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:31:46 +0000

cargo (0.40.0-2) unstable; urgency=medium

  * Restore patch for pkg-config crate to auto-detect Debian cross-compiling.
  * Add patch for backtrace-sys to auto-detect Debian cross-compiling.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:31:57 +0000

cargo (0.40.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Ship the zsh completion (Closes: #941437)

  [ Ximin Luo ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 28 Nov 2019 10:24:46 +0000

cargo (0.37.0-3) unstable; urgency=medium

  * Update 2001_more_portable_rustflags.patch, fixes mips FTBFS

 -- Ximin Luo <infinity0@debian.org>  Sat, 20 Jul 2019 16:02:08 -0700

cargo (0.37.0-2) unstable; urgency=medium

  * Bump serde vendored crate version up to 1.0.96 to avoid issue when
    compiling with atomics (the default).

 -- Ximin Luo <infinity0@debian.org>  Thu, 18 Jul 2019 02:34:48 -0700

cargo (0.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 Jul 2019 23:06:49 -0700

cargo (0.35.0-2) unstable; urgency=medium

  * Use more portable flags in tests, fixing FTBFS on mips.
    (Closes: #930218)

 -- Ximin Luo <infinity0@debian.org>  Sat, 08 Jun 2019 11:04:43 -0700

cargo (0.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 31 May 2019 00:29:11 -0700

cargo (0.33.0-3) unstable; urgency=medium

  * Drop patch to capture rustc error output, it is unnecessary.
  * Add upstream patch to fix typenum bug.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 20:22:22 -0700

cargo (0.33.0-2) unstable; urgency=medium

  * Add patch to capture rustc error output if extra-verbose.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 12:14:38 -0700

cargo (0.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Feb 2019 20:52:47 -0800

cargo (0.32.0-2~exp1) experimental; urgency=medium

  * Drop patch 2007, for disabling incremental build on sparc64.
    Closes: bug#917048, Thanks to John Paul Adrian Glaubitz.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Feb 2019 13:16:13 +0530

cargo (0.32.0-1) unstable; urgency=medium

  * debian-cargo-wrapper: Support DEB_CARGO_INSTALL_PREFIX for installing into
    somewhere other than /usr, e.g. / or /usr/lib/cargo.
  * Move dev scripts from /usr/share/cargo into /usr/share/cargo/scripts.
  * Increase yet another timeout duration for slower architectures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Jan 2019 00:29:51 -0800

cargo (0.32.0-1~exp3) experimental; urgency=medium

  [ Matt Kraai ]
  * Rename bash completion script so that it's used.

  [ Ximin Luo ]
  * Further increase a timeout duration for mips.
  * debian-cargo-wrapper: add --link-to-system option

 -- Ximin Luo <infinity0@debian.org>  Wed, 23 Jan 2019 19:44:05 -0800

cargo (0.32.0-1~exp2) experimental; urgency=medium

  * Try to deal with the various test failures as suggested by upstream.

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 Jan 2019 20:08:29 -0800

cargo (0.32.0-1~exp1) experimental; urgency=medium

  [ upstream ]
  * Cargo will now download crates in parallel using HTTP/2.
  * You can now rename packages in your Cargo.toml We have a guide on how
    to use the package key in your dependencies.

  [ Vasudev Kamath ]
  * Fix the scripts related to tarball creation
  * Update unsuspicious file list for 0.32.0
  * Update copyright information for 0.32.0.
  * Add lintian-override for source-is-missing, for javascript file from
    vendored crate documentation. File is not really shipped.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 12 Dec 2018 21:47:42 +0530

cargo (0.31.1-1) unstable; urgency=medium


