=== debian/control ===
Source: cargo-mozilla
Section: devel
Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends: debhelper (>= 12~),
               dpkg-dev (>= 1.17.14),
               cargo:native    (>= 0.17.0),
               rustc-mozilla:native    (>= 1.16),
               libstd-rust-mozilla-dev (>= 1.16),
               pkg-config,
               cmake,
               bash-completion,
               python3:native,
               libcurl4-gnutls-dev | libcurl4-openssl-dev,
               libssh2-1-dev,
#               libgit2-dev (>= 1),
               libhttp-parser-dev,
               libpcre3-dev,
               libssl-dev,
               zlib1g-dev,
               git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo

Package: cargo-mozilla
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Conflicts: cargo
Replaces: cargo
Provides: cargo (= ${binary:Version})
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

#Package: cargo-mozilla-doc
#Section: doc
#Architecture: all
#Build-Profiles: <!nodoc>
#Depends: ${misc:Depends}
#Description: Rust package manager, documentation
# Cargo is a tool that allows Rust projects to declare their various
# dependencies, and ensure that you'll always get a repeatable build.
# .
# To accomplish this goal, Cargo does four things:
#  * Introduces two metadata files with various bits of project information.
#  * Fetches and builds your project's dependencies.
#  * Invokes rustc or another build tool with the correct parameters to build
#    your project.
#  * Introduces conventions, making working with Rust projects easier.
# .
# Cargo downloads your Rust project’s dependencies and compiles your
# project.
# .
# This package contains the documentation.

# TODO: add a cargo-src package
