## cargo-mozilla 0.57.0

=== debian/changelog ===
cargo-mozilla (0.57.0-7~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Backport to buster.
  * Bump rustc-mozilla build-dep.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 14 Jul 2022 12:00:57 +0200

cargo-mozilla (0.57.0-7~deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Backport to bullseye as cargo-mozilla.
  * Build-dep on rustc-mozilla.
  * Don't build the doc package.
  * Vendor libgit2 1.3.0, the system one is too old.
  * Build-dep on libpcre3-dev, for libgit2.
  * Disable build::close_output_during_drain test as it hangs in bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 01 Jul 2022 12:25:10 +0200

cargo (0.57.0-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 02 May 2022 20:57:46 +0000

cargo (0.57.0-6) experimental; urgency=medium

  * Team upload.
  * Fix debian cargo wrapper to stop looking for subcommands once it finds one
    so that it is possible to test features whose name matches a subcommand.
  * Limit autopkgtest to architectures where it does not run out of disk space.
  * Remove patches for libgit2 1.1.x and adjust dependency for 0.3.x
    (Closes: 1009015)
  * Remove build-dependency on cmake (Closes: 981256)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 10 Apr 2022 00:10:04 +0000

cargo (0.57.0-5) unstable; urgency=medium

  [ Simon Chopin ]
  * Disable cross-build tests in autopkgtests
  * d/p/0001-Change-test-to-not-trigger-emoji-error.patch:
    Cherry-picked from upstream to fix testsuite against rustc 1.57
  * d/p/0002-Remove-eacces-test.patch: Cherry-picked from upstream as
    cargo doesn't seem to trigger the error with recent Rust

 -- Ximin Luo <infinity0@debian.org>  Wed, 09 Mar 2022 13:52:14 +0000

cargo (0.57.0-4) unstable; urgency=medium

  [ Simon Chopin ]
  * Add an autopkgtest for cargo to build itself

  [ Ximin Luo ]
  * Fix FTBFS on x32.

 -- Ximin Luo <infinity0@debian.org>  Mon, 07 Mar 2022 20:35:00 +0000

cargo (0.57.0-3) unstable; urgency=medium

  * Actually fix failing tests.
  * Fix armhf build by backporting a rust-cc patch.

 -- Ximin Luo <infinity0@debian.org>  Sun, 24 Oct 2021 14:11:00 +0100

cargo (0.57.0-2) unstable; urgency=medium

  * Fix failing tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 24 Oct 2021 13:13:07 +0100

cargo (0.57.0-1) unstable; urgency=medium

  * New upstream release for rustc 1.56.0, 2021 Edition.

 -- Ximin Luo <infinity0@debian.org>  Sun, 24 Oct 2021 01:59:08 +0100
