=== debian/control ===
--- 
+++ 
@@ -7,23 +7,24 @@
  Vasudev Kamath <vasudev@copyninja.info>
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
-Build-Depends: debhelper (>= 12~),
-               dpkg-dev (>= 1.17.14),
-               cargo:native    (>= 0.17.0),
-               rustc-mozilla:native    (>= 1.16),
-               libstd-rust-mozilla-dev (>= 1.16),
-               pkg-config,
-               cmake,
-               bash-completion,
-               python3:native,
-               libcurl4-gnutls-dev | libcurl4-openssl-dev,
-               libssh2-1-dev,
-#               libgit2-dev (>= 1),
-               libhttp-parser-dev,
-               libpcre3-dev,
-               libssl-dev,
-               zlib1g-dev,
-               git <!nocheck>
+Build-Depends:
+ debhelper (>= 12~),
+ dpkg-dev (>= 1.17.14),
+ cargo:native    (>= 0.17.0),
+ rustc-mozilla:native    (>= 1.59),
+ libstd-rust-mozilla-dev (>= 1.59),
+ pkg-config,
+ bash-completion,
+ python3:native,
+ libcurl4-gnutls-dev | libcurl4-openssl-dev,
+ libssh2-1-dev,
+# libgit2-dev (>= 1.3.0),
+# libgit2-dev (<< 1.4~~),
+ libhttp-parser-dev,
+ libpcre3-dev,
+ libssl-dev,
+ zlib1g-dev,
+ git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
