=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,14 @@
 
 export CARGO_HOME = $(CURDIR)/debian/cargo_home
 export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
-export RUSTFLAGS += --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)
+RUSTFLAGS := --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)
 
 # https://github.com/rust-lang/rust/issues/52108
 ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
   RUSTFLAGS += -Ctarget-feature=+xgot
 endif
+
+export RUSTFLAGS
 
 # don't shrink, this can take ages
 # see https://github.com/rust-lang/cargo/issues/6490 for details
@@ -37,8 +39,8 @@
 	$(CARGO) prepare-debian $(CURDIR)/vendor
 
 	set -e; \
-		tar xf debian/libgit2_1.0.1+dfsg.1.orig.tar.xz; \
-		mv libgit2-1.0.1 vendor/libgit2-sys/libgit2
+		tar xf debian/libgit2_1.3.0+dfsg.1.orig.tar.xz; \
+		mv libgit2-1.3.0 vendor/libgit2-sys/libgit2
 
 override_dh_auto_build-arch:
 	$(CARGO) build
