## cargo-mozilla 0.66.0+ds1

=== debian/changelog ===
cargo-mozilla (0.66.0+ds1-1~deb11u1) bullseye; urgency=medium

  * Non-maintainer upload.
  * Backport to bullseye as cargo-mozilla.
  * Build-dep on rustc-mozilla.
  * Don't build the doc package.
  * Vendor libgit2 1.5.1, the system one is too old.
  * Build-dep on libpcre3-dev, for libgit2.
  * Don't use namespaced features.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 30 Jul 2023 10:37:52 +0200

cargo (0.66.0+ds1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix CVE-2022-46176 (Thanks Peter Green!)
  * repack vendored sources with required libgit2-sys/git2/git2-curl versions
  * update unsuspicious files

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 18:55:09 +0100

cargo (0.66.0-1) unstable; urgency=medium

  * new upstream version 0.66

  [ Blair Noctis ]
  * Update debcargo-conf.patch, unapply tempfile patch to match vendored
  * Refresh patches and remove upstream applied CVE patches
  * Patch test macro to work around qemu vfork bug when command not found

  [ Fabian Grünbichler ]
  * no longer pin git2/libgit2-sys
  * update debcargo-conf.patch (concolor, clap)
  * update unsuspicious files
  * d/control: depend on rustc 1.63
  * drop armel workaround

  [ Rob Shearman ]
  * d/control: update minimum cargo, rustc and libstd-rust-dev versions

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sun, 08 Jan 2023 16:38:30 +0100

cargo (0.63.1-3) unstable; urgency=medium

  * workaround armel breakage

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 07 Dec 2022 14:58:58 +0100

cargo (0.63.1-2) unstable; urgency=medium

  [ Ryan Gonzalez ]
  * Fix path remapping for crate dependencies

  [ Fabian Grünbichler ]
  * disable utf-8 fs-specific test
  * fix i386 build / cross tests

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 19 Nov 2022 10:48:29 +0100

cargo (0.63.1-1) unstable; urgency=medium

  * New upstream release
  * switch to libgit2-1.5 (Closes: #1021504, #1017828)
  * Update guess-crate-copyright to handle missing authors field gracefully
  * Update audit-vendor-source to handle ZFS and similar file systems
  * silence GZIP deprecation warning
  * fix CVE-2022-36113/CVE-2022-36114 (Closes: #1021142)

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: zlib1g-dev:native. (Closes: #1019491)

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 17 Sep 2022 22:25:02 +0200
