=== debian/control ===
--- 
+++ 
@@ -10,20 +10,21 @@
 Build-Depends:
  debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
- cargo:native    (>= 0.17.0),
- rustc-mozilla:native    (>= 1.59),
- libstd-rust-mozilla-dev (>= 1.59),
+ cargo-mozilla:native    (>= 0.56.0),
+ rustc-mozilla:native    (>= 1.63),
+ libstd-rust-mozilla-dev (>= 1.63),
  pkg-config,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
-# libgit2-dev (>= 1.3.0),
-# libgit2-dev (<< 1.4~~),
+# libgit2-dev (>= 1.5.0),
+# libgit2-dev (<< 1.6~~),
  libhttp-parser-dev,
  libpcre3-dev,
  libssl-dev,
  zlib1g-dev,
+ zlib1g-dev:native,
  git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1
