=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	$(CARGO) prepare-debian $(CURDIR)/vendor
 
 	set -e; \
-		tar xf debian/libgit2_1.3.0+dfsg.1.orig.tar.xz; \
-		mv libgit2-1.3.0 vendor/libgit2-sys/libgit2
+		tar xf debian/libgit2_1.5.1+ds.orig.tar.xz; \
+		mv libgit2-1.5.1 vendor/libgit2-sys/libgit2
 
 override_dh_auto_build-arch:
 	$(CARGO) build
